%define debug_package %{nil}

Name:			apfs-fuse
Summary:		A read-only FUSE driver for the new Apple File System
Version:		20180424
Release:		1%{?dist}
License:		GPL
Group:			Applications/System
URL:			https://github.com/sgan81/apfs-fuse
Source0:		%{name}-%{version}.tar.gz
Buildroot:		%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		fuse 
BuildRequires:		fuse-devel libicu-devel libattr-devel zlib-devel
%if 0%{?centos} == 7
BuildRequires:		cmake3
%else
BuildRequires:		cmake
%endif

%description
This project is a read-only FUSE driver for the new Apple File System. Since Apple didn't
yet document the disk format of APFS, this driver should be considered experimental.
It may not be able to read all files, it may return wrong data, or it may simply crash.
Use at your own risk. But since it's read-only, at least the data on your apfs drive should be safe.

Be aware that not all compression methods are supported yet (only the ones I have encountered so far).
Thus, the driver may return compressed files instead of uncompressed ones. 

%prep
%setup -q

%build
mkdir build
cd build
%if 0%{?centos} == 7
cmake3 -DCMAKE_BUILD_TYPE=Release -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
%else
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
%endif
make

%install
cd build
%__install -d %{buildroot}/%{_bindir}
cd bin
for f in *
do
	%__install -m 755 $f %{buildroot}/%{_bindir}/$f
done

%clean
rm -fr %{buildroot}


%files
%defattr(-,root,root) 
%{_bindir}/*
%doc README.md LICENSE

%changelog
* Tue Apr 24 2018 Lawrence R. Rogers <lrr@cert.org> - 20180424-1
* Release 20180424-1
	2018-04-20
		Added support for mounting DMGs
	2018-04-14
		Added support for partition tables (GPT only)
	2018-04-10
		Fixed and extended FileVault encryption support
	2018-03-28
		Added support for FileVault encryption

* Mon Mar  5 2018 Lawrence R. Rogers <lrr@cert.org> - 20180303-1
* Release 20180303-1
	Initial release
